ghc-7.0.4: The GHC API

BinIface

# Documentation

writeBinIface :: DynFlags -> FilePath -> ModIface -> IO ()Source

readBinIface :: CheckHiWay -> TraceBinIFaceReading -> FilePath -> TcRnIf a b ModIface Source

data CheckHiWay Source

Constructors

CheckHiWay |
IgnoreHiWay |

Instances

Eq CheckHiWay |

data TraceBinIFaceReading Source

Constructors

TraceBinIFaceReading |
QuietBinIFaceReading |

Instances

Eq TraceBinIFaceReading |